<?php

    namespace Model;
    use Gateway\Gateway;


    class Model
    {
        // The gateway instance responsible for interacting with the data source.
        protected Gateway $gateway;

        /**
         * Constructor that initializes the Model with a Gateway instance.
         *
         * @param Gateway $gate The Gateway instance used to interact with the data source.
         */
        public function __construct(Gateway $gate){
            // Assign the provided Gateway instance to the model's gateway property.
            $this->gateway = $gate;
        }
    }

?>
